Name:           solarspeed-libiconv
Version:        1.18
Release:        1%{?dist}
Summary:        Standalone libiconv build for use outside system locations

License:        GPL
Group:          System Environment/Libraries
URL:            https://www.gnu.org/software/libiconv/
Packager:       Michael Stauber <mstauber@solarspeed.net>
Vendor:         Free Software Foundation, Inc. 
Source0:        https://ftp.gnu.org/pub/gnu/libiconv/libiconv-%{version}.tar.gz
Source1:        solarspeed-iconv.conf

BuildRequires:  gcc, make
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      x86_64
BuildRequires:  chrpath
Distribution:   BlueOnyx 5212R

# Install path for this custom build:
%global prefix_dir /home/solarspeed/libiconv
%global libdir %{prefix_dir}/lib64

%description
This is a side-installed version of libiconv. It provides an iconv()
implementation under %{prefix_dir} and avoids interfering with the system
libiconv. It includes its own ld.so.conf entry under
/etc/ld.so.conf.d/solarspeed-iconv.conf.

%prep
%setup -q -n libiconv-%{version}

%build
./configure --prefix=%{prefix_dir} --libdir=%{libdir}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

# Install ld.so.conf.d file
install -D -m 0644 %{SOURCE1} %{buildroot}/etc/ld.so.conf.d/solarspeed-iconv.conf

# Strip RPATHs from all ELF binaries in our prefix
find %{buildroot}%{prefix_dir}/bin -type f -exec chrpath --delete {} \; 2>/dev/null || true

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%dir %{prefix_dir}
%dir %{prefix_dir}/bin
%dir %{prefix_dir}/include
%dir %{libdir}
%dir %{prefix_dir}/share

%{prefix_dir}/bin/*
%{prefix_dir}/include/*
%{libdir}/*
%{prefix_dir}/share/*
/etc/ld.so.conf.d/solarspeed-iconv.conf

%changelog
* Fri Jun 20 2025 Michael Stauber <mstauber@solarspeed.net> 1.18-1
- Proper standalone RPM build of libiconv with /home/solarspeed/libiconv as prefix
